%define	module	Compress-Zlib
%define	name	perl-%{module}
%define	version	2.015
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl interface to zlib compression library
License:	GPL or Artistic
Group:		Development/Perl
Url:		    http://search.cpan.org/dist/%{module}/
Source:         http://www.cpan.org/modules/by-module/Compress/%{module}-%{version}.tar.gz
BuildRequires:	perl-devel
BuildRequires:	zlib-devel
BuildRequires:	perl(IO::Compress::Base) >= 2.015
BuildRequires:	perl(IO::Compress::Gzip) >= 2.015
BuildRequires:	perl(Compress::Raw::Zlib) >= 2.015
BuildRequires:	perl-IO-Compress-Zlib
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
The Compress::Zlib module provides a Perl interface to the zlib compression
library.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/Compress
%{perl_vendorarch}/auto/Compress


%changelog
* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2.015-2mdv2009.1
+ Revision: 351691
- rebuild

* Sat Sep 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.015-1mdv2009.0
+ Revision: 281758
- new version

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.012-1mdv2009.0
+ Revision: 238033
- update to new version 2.012

* Thu May 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.011-1mdv2009.0
+ Revision: 209988
- update to new version 2.011

* Wed May 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.010-1mdv2009.0
+ Revision: 202823
- new version
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.008-1mdv2008.1
+ Revision: 109547
- new version

* Tue Oct 16 2007 Olivier Thauvin <nanardon@mandriva.org> 2.007-1mdv2008.1
+ Revision: 98784
- 2.007
- this pkg is a noarch !

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.006-1mdv2008.0
+ Revision: 78724
- update to new version 2.006

* Sun Aug 05 2007 Funda Wang <fundawang@mandriva.org> 2.005-1mdv2008.0
+ Revision: 59081
- fix file list
- Build requires
- New version 2.005


* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:54:51 (53716)
- rebuild

* Sun Aug 06 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/06/06 22:53:23 (53715)
Import perl-Compress-Zlib

* Sun Jul 09 2006 Emmanuel Andry <eandry@mandriva.org> 1.42-1mdv2007.0
- 1.42

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.41-2mdk
- Rebuild

* Fri Oct 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.41-1mdk
- 1.41
- rpmbuildupdate aware
- spec cleanup

* Mon Oct 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.40-1mdk
- 1.40

* Tue Aug 16 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.37-1mdk
- 1.37

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.35-1mdk
- 1.35

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.34-2mdk
- Rebuild, spec fixes

* Mon Jan 31 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.34-1mdk
- 1.34
- Add Changes

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.33-2mdk
- Rebuild for new perl

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.33-1mdk
- 1.33
- spec cosmetics

* Sun Nov 30 2003 Stefan van der Eijk <stefan@eijk.nu> 1.32-1mdk
- 1.32

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-2mdk
- rebuild for new perl
- use %%make macro
- use %%makeinstall_std macro

